#!/usr/bin/python
# -*- coding:utf-8 -*-
# This Python file uses the following encoding: utf-8

from setuptools import setup, find_packages
import sys
from simple_contact import version
import os

# Read the version from a project file
VERSION = version.VERSION_str

# Get description from Readme file
long_description = open(os.path.join(os.path.dirname(__file__), 'simple_contact', 'README')).read()

# Build a list with requirements of the app
REQUIRES = ['setuptools']
if sys.version_info < (2, 4):
    REQUIRES.append('python >= 2.4')
try:
    import django
    if django.VERSION < (1, 1):
        REQUIRES.extend(['django >= 1.1', 'django < 1.3'])
except ImportError:
    REQUIRES.extend(['django >= 1.1', 'django < 1.3'])

setup(name='django-simple-contact',
      version=VERSION,
      description='A simple contact form application.',
      long_description=long_description,
      author='Andreas Fritz',
      author_email='packages@bitzeit.eu',
      url='http://www.bitzeit.eu/',
      #download_url='https://bitbucket.org/catapela/,
      license='Copyright (c) 2011, Andreas Fritz - German Copyright Law',
      packages=find_packages(),
      include_package_data=True,
      keywords="django mail configuration setup mailform",
      classifiers=[
              'Development Status :: 4 - Beta',
              'Framework :: Django',
              #'License :: OSI Approved :: MIT License',
              'Operating System :: OS Independent',
              'Programming Language :: Python',
              'Environment :: Console',
              'Natural Language :: English',
              'Natural Language :: German',
              'Intended Audience :: Developers',
              'Intended Audience :: Information Technology',
              'Topic :: Internet',
              'Topic :: Utilities',
              ],
      install_requires = REQUIRES,
      zip_safe=False,
      )
